Get Deposit Summary
curl --request GET \
--url https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-client-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary")
.header("x-client-id", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"contributions": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
},
"refunds": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
},
"chargebacks": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
},
"adjustments": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
}
}
}Get Deposit Summary
Returns aggregated totals (contributions, refunds, chargebacks, adjustments) for the deposit. All monetary amounts are expressed in cents.
GET
/
api
/
v3
/
deposits
/
{depositId}
/
summary
Get Deposit Summary
curl --request GET \
--url https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-client-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary")
.header("x-client-id", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.stage.overflow.co/api/v3/deposits/{depositId}/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"contributions": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
},
"refunds": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
},
"chargebacks": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
},
"adjustments": {
"count": 42,
"feesInCents": 1450,
"grossInCents": 50000,
"totalInCents": 48550
}
}
}Authorizations
Client ID for API authentication
API Key for API authentication
Path Parameters
Response
Aggregated contribution, refund, chargeback, and adjustment totals for the deposit.
Show child attributes
Show child attributes